package rmiclientv1;

import message.Message;
import java.rmi.registry.LocateRegistry;
import java.rmi.registry.Registry;
import java.rmi.RMISecurityManager;

/**
 *
 * @author X_Sith_cz
 */
public class RMIclientV1 {
    
    /**
     * Attempts to connect to RMi server.
     */
    private void connectToServer()
    {
        System.setSecurityManager(new RMISecurityManager()); 
        
        try
        {
            Registry registry = LocateRegistry.getRegistry("127.0.0.1", 1099);
            
            Message myMessage = (Message)registry.lookup("myMessage");
            
            myMessage.sendMessage("Hello World");
            
            System.out.println("Message sent");
        }
        catch(Exception ex)
        {
            ex.printStackTrace();
        }
    }
    
    /**
     * @param args the command line arguments
     */
    public static void main(String[] args)
    {
        RMIclientV1 client = new RMIclientV1();
        
        client.connectToServer();
    }
}

/*        if (System.getSecurityManager() == null) 
        { 
            System.setSecurityManager(new  SecurityManager()
            {

                @Override
                public void checkConnect(String host, int port) {
                    try{
                    super.checkConnect(host, port);}
                    catch(Exception ex){ex.printStackTrace();}
                }
                
            }); 
        }*/